Skip to main content
PATCH
Update a compliance check definition

Authorizations

Authorization
string
header
required

Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.

Path Parameters

id
string<uuid>
required

Check-definition ID

Body

application/json

At least one field is required

title
string
Required string length: 1 - 255
description
string | null

null or blank clears

Maximum string length: 5000
howToCheck
string | null

null or blank clears

Maximum string length: 10000
whyImportant
string | null

null or blank clears

Maximum string length: 5000
remediation
string | null

null or blank clears

Maximum string length: 10000
remediationImpact
string | null

null or blank clears

Maximum string length: 5000
references
string | null

null or blank clears

Maximum string length: 5000
defaultValue
string | null

null or blank clears

Maximum string length: 5000
criticality
integer
Required range: 1 <= x <= 5
priority
enum<string>
Available options:
High,
Medium,
Low
frequency
enum<string> | null
Available options:
Daily,
Weekly,
Bi-weekly,
Monthly,
Quarterly,
Semi-annually,
Annually,
null
checkScope
enum<string> | null
Available options:
company,
device,
location,
null
statusListId
string<uuid> | null
complianceTypeId
integer | null
Required range: x >= 1
defaultRiskCategoryId
string<uuid> | null
folderId
string<uuid> | null
groupIds
string<uuid>[]

Exact group membership; an empty array clears it

Maximum array length: 500

Response

Updated check definition

data
object
required